Missing Python 2.5 compatibility

Reported by Moritz Barsnick on 2010-04-12
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Exaile
High
Moritz Barsnick

Bug Description

I'm trying to rebuild Fedora's exaile-3.3.1.1 SRPM on Fedora 10. It's failing due to some syntax errors.

I noticed that exaile tries hard to retain compatibility to Python 2.5 in many places, but it fails in some code which is probably new and was apparently never tested with 2.5. I'm attaching a patch which lets exaile build correctly for me (Fedora F10's python-2.5.2-1.fc10.i386). I have not tested the program functionally, nor have I tried the patch with Python 2.6, so please do review.

(I haven't used exaile for a while, and while looking for the perfect media player was looking to install the most recent version. Looking forward to exaile!)

Thanks.

Changed in exaile:
importance: Undecided → High
milestone: none → 0.3.1.2
status: New → Confirmed
Oz123 (nahumoz) wrote :

hi guys,
I tried the patch by Moritz and it worked like charm !
Cheers Moritz, and thanks !

Mathias Brodala (mathbr) wrote :

Fixed with r3033 in trunk and r2919 in 0.3.1.x.

Changed in exaile:
assignee: nobody → Moritz Barsnick (barsnick)
status: Confirmed → Fix Committed
Changed in exaile:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers